<?php

class LPC_Callback { 
   private $secret_key;
   private $destination_address;
   private $invoice_address;
   private $invoice_id;
   private $invoice_confirmations;
   private $invoice_crypto_value;
   private $invoice_transaction_hash;
   private $invoice_coin;
 
   function __construct( $secret_key, $destination_address, $invoice_address, $invoice_id, $invoice_confirmations, $invoice_crypto_value, $invoice_transaction_hash, $invoice_coin) {
      $this->secret_key = $secret_key;
      $this->destination_address = $destination_address;
      $this->invoice_address = $invoice_address;
      $this->invoice_id = $invoice_id;
      $this->invoice_confirmations = $invoice_confirmations;
      $this->invoice_crypto_value = $invoice_crypto_value;
      $this->invoice_transaction_hash = $invoice_transaction_hash;
      $this->invoice_coin = $invoice_coin;
   }

   function LPC_getCSecretKey() {
      return $this->secret_key;
   }

   function LPC_getCCoin() {
      return strtoupper($this->invoice_coin);
   }

   function LPC_getCDestinationAddress()
   {
      return $this->destination_address;
   }

   function LPC_getCinvoiceaddress()
   {
      return $this->invoice_address;
   }

   function LPC_getCinvoiceid()
   {
      return $this->invoice_id;
   }

   function LPC_getCinvoiceconfirmations()
   {
      return (int) $this->invoice_confirmations;
   }

   function LPC_getCinvoicecryptovalue()
   {
      return (int) $this->invoice_crypto_value;
   }

   function LPC_getCinvoicetransactionhash()
   {
      return $this->invoice_transaction_hash;
   }

} 
?>
